Bug 861818 - Openssh does not apply IPQoS settings
Openssh does not apply IPQoS settings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 18:53 EDT by Hannes Frederic Sowa
Modified: 2012-12-06 22:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 22:29:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hannes Frederic Sowa 2012-09-30 18:53:59 EDT
Description of problem:
OpenSSH in fedora 17 (5.9p1-26.fc17) does not respect the IPQoS settings (neither applies the default one, see man ssh_config(5)).

Version-Release number of selected component (if applicable):
openssh-5.9p1-26.fc17 in Fedora 17 as of Mon, 01 Oct 2012 00:53:37 +0200.

How reproducible:
always

Steps to Reproduce:
1. Look at traffic produced by openssh with tcpdump (TOS/DSCP should be set *after* authentication happend).
  
Actual results:
tos == 0x0 in tcpdump

Expected results:
tos != 0x0 in tcpdump

Additional info:
This bug has been fixed in openssh-portable-6.0. Perhaps the fix attached at this bug can be backported to openssh-5.9:
<https://bugzilla.mindrot.org/show_bug.cgi?id=1963>
Fix:
<https://bugzilla.mindrot.org/attachment.cgi?id=2130>
Comment 1 Petr Lautrbach 2012-11-26 10:32:43 EST
The upstream patch applied. Thanks for the report.
Comment 3 Fedora Update System 2012-11-26 11:13:36 EST
openssh-5.9p1-28.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openssh-5.9p1-28.fc17
Comment 4 Fedora Update System 2012-11-28 06:47:59 EST
Package openssh-5.9p1-28.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-5.9p1-28.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19252/openssh-5.9p1-28.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-06 22:29:12 EST
openssh-5.9p1-28.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.